interactions:
- request:
    body: '{"trace_id": "00000000-0000-0000-0000-000000000000", "execution_type":
      "crew", "user_identifier": null, "execution_context": {"crew_fingerprint": null,
      "crew_name": "crew", "flow_name": null, "crewai_version": "1.3.0", "privacy_level":
      "standard"}, "execution_metadata": {"expected_duration_estimate": 300, "agent_count":
      0, "task_count": 0, "flow_method_count": 0, "execution_started_at": "2025-11-05T22:10:38.307164+00:00"},
      "ephemeral_trace_id": "00000000-0000-0000-0000-000000000000"}'
    headers:
      Accept:
      - '*/*'
      Connection:
      - keep-alive
      Content-Length:
      - '488'
      Content-Type:
      - application/json
      User-Agent:
      - X-USER-AGENT-XXX
      X-Crewai-Version:
      - 1.3.0
      accept-encoding:
      - ACCEPT-ENCODING-XXX
    method: POST
    uri: https://app.crewai.com/crewai_plus/api/v1/tracing/ephemeral/batches
  response:
    body:
      string: '{"id": "00000000-0000-0000-0000-000000000000","ephemeral_trace_id":
        "00000000-0000-0000-0000-000000000000","execution_type":"crew","crew_name":"crew","flow_name":null,"status":"running","duration_ms":null,"crewai_version":"1.3.0","total_events":0,"execution_context":{"crew_fingerprint":null,"crew_name":"crew","flow_name":null,"crewai_version":"1.3.0","privacy_level":"standard"},"created_at":"2025-11-05T22:10:38.904Z","updated_at":"2025-11-05T22:10:38.904Z","access_code":
        "TRACE-0000000000","user_identifier":null}'
    headers:
      Connection:
      - keep-alive
      Content-Length:
      - '515'
      Content-Type:
      - application/json; charset=utf-8
      Date:
      - Wed, 05 Nov 2025 22:10:38 GMT
      cache-control:
      - no-store
      content-security-policy:
      - CSP-FILTERED
      etag:
      - ETAG-XXX
      expires:
      - '0'
      permissions-policy:
      - PERMISSIONS-POLICY-XXX
      pragma:
      - no-cache
      referrer-policy:
      - REFERRER-POLICY-XXX
      strict-transport-security:
      - STS-XXX
      vary:
      - Accept
      x-content-type-options:
      - X-CONTENT-TYPE-XXX
      x-frame-options:
      - X-FRAME-OPTIONS-XXX
      x-permitted-cross-domain-policies:
      - X-PERMITTED-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
      x-runtime:
      - X-RUNTIME-XXX
      x-xss-protection:
      - X-XSS-PROTECTION-XXX
    status:
      code: 201
      message: Created
- request:
    body: '{"messages":[{"role":"system","content":"You are Scorer. You''re an expert
      scorer, specialized in scoring titles.\nYour personal goal is: Score the title\nTo
      give my best complete final answer to the task respond using the exact following
      format:\n\nThought: I now can give a great answer\nFinal Answer: Your final
      answer must be the great and the most complete as possible, it must be outcome
      described.\n\nI MUST use these formats, my job depends on it!"},{"role":"user","content":"\nCurrent
      Task: Give me an integer score between 1-5 for the following title: ''The impact
      of AI in the future of work''\n\nThis is the expected criteria for your final
      answer: The score of the title.\nyou MUST return the actual complete content
      as the final answer, not a summary.\nEnsure your final answer strictly adheres
      to the following OpenAPI schema: {\n  \"properties\": {\n    \"score\": {\n      \"title\":
      \"Score\",\n      \"type\": \"integer\"\n    }\n  },\n  \"required\": [\n    \"score\"\n  ],\n  \"title\":
      \"ScoreOutput\",\n  \"type\": \"object\",\n  \"additionalProperties\": false\n}\n\nDo
      not include the OpenAPI schema in the final output. Ensure the final output
      does not include any code block markers like ```json or ```python.\n\nBegin!
      This is VERY important to you, use the tools available and give your best Final
      Answer, your job depends on it!\n\nThought:"}],"model":"gpt-4.1-mini"}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - application/json
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      connection:
      - keep-alive
      content-length:
      - '1394'
      content-type:
      - application/json
      host:
      - api.openai.com
      x-stainless-arch:
      - X-STAINLESS-ARCH-XXX
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - X-STAINLESS-OS-XXX
      x-stainless-package-version:
      - 1.109.1
      x-stainless-read-timeout:
      - X-STAINLESS-READ-TIMEOUT-XXX
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.12.9
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-CYg0656gofDPbkHnqVBtb4a5cX4I0\",\n  \"object\":
        \"chat.completion\",\n  \"created\": 1762380638,\n  \"model\": \"gpt-4.1-mini-2025-04-14\",\n
        \ \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n        \"role\":
        \"assistant\",\n        \"content\": \"Thought: I now can give a great answer\\nFinal
        Answer: {\\n  \\\"score\\\": 4\\n}\",\n        \"refusal\": null,\n        \"annotations\":
        []\n      },\n      \"logprobs\": null,\n      \"finish_reason\": \"stop\"\n
        \   }\n  ],\n  \"usage\": {\n    \"prompt_tokens\": 294,\n    \"completion_tokens\":
        22,\n    \"total_tokens\": 316,\n    \"prompt_tokens_details\": {\n      \"cached_tokens\":
        0,\n      \"audio_tokens\": 0\n    },\n    \"completion_tokens_details\":
        {\n      \"reasoning_tokens\": 0,\n      \"audio_tokens\": 0,\n      \"accepted_prediction_tokens\":
        0,\n      \"rejected_prediction_tokens\": 0\n    }\n  },\n  \"service_tier\":
        \"default\",\n  \"system_fingerprint\": \"fp_4c2851f862\"\n}\n"
    headers:
      CF-RAY:
      - CF-RAY-XXX
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Wed, 05 Nov 2025 22:10:39 GMT
      Server:
      - cloudflare
      Set-Cookie:
      - SET-COOKIE-XXX
      Strict-Transport-Security:
      - STS-XXX
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - X-CONTENT-TYPE-XXX
      access-control-expose-headers:
      - ACCESS-CONTROL-XXX
      alt-svc:
      - h3=":443"; ma=86400
      cf-cache-status:
      - DYNAMIC
      openai-organization:
      - OPENAI-ORG-XXX
      openai-processing-ms:
      - '491'
      openai-project:
      - OPENAI-PROJECT-XXX
      openai-version:
      - '2020-10-01'
      x-envoy-upstream-service-time:
      - '511'
      x-openai-proxy-wasm:
      - v0.1
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-ratelimit-reset-requests:
      - X-RATELIMIT-RESET-REQUESTS-XXX
      x-ratelimit-reset-tokens:
      - X-RATELIMIT-RESET-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
- request:
    body: '{"messages":[{"role":"system","content":"You are Scorer. You''re an expert
      scorer, specialized in scoring titles.\nYour personal goal is: Score the title"},{"role":"user","content":"\nCurrent
      Task: Give me an integer score between 1-5 for the following title: ''The impact
      of AI in the future of work''\n\nThis is the expected criteria for your final
      answer: The score of the title.\nyou MUST return the actual complete content
      as the final answer, not a summary.\nFormat your final answer according to the
      following OpenAPI schema: {\n  \"properties\": {\n    \"score\": {\n      \"title\":
      \"Score\",\n      \"type\": \"integer\"\n    }\n  },\n  \"required\": [\n    \"score\"\n  ],\n  \"title\":
      \"ScoreOutput\",\n  \"type\": \"object\",\n  \"additionalProperties\": false\n}\n\nIMPORTANT:
      Preserve the original content exactly as-is. Do NOT rewrite, paraphrase, or
      modify the meaning of the content. Only structure it to match the schema format.\n\nDo
      not include the OpenAPI schema in the final output. Ensure the final output
      does not include any code block markers like ```json or ```python.\n\nProvide
      your complete response:"},{"role":"system","content":"You are Scorer. You''re
      an expert scorer, specialized in scoring titles.\nYour personal goal is: Score
      the title"},{"role":"user","content":"\nCurrent Task: Give me an integer score
      between 1-5 for the following title: ''The impact of AI in the future of work''\n\nThis
      is the expected criteria for your final answer: The score of the title.\nyou
      MUST return the actual complete content as the final answer, not a summary.\nFormat
      your final answer according to the following OpenAPI schema: {\n  \"properties\":
      {\n    \"score\": {\n      \"title\": \"Score\",\n      \"type\": \"integer\"\n    }\n  },\n  \"required\":
      [\n    \"score\"\n  ],\n  \"title\": \"ScoreOutput\",\n  \"type\": \"object\",\n  \"additionalProperties\":
      false\n}\n\nIMPORTANT: Preserve the original content exactly as-is. Do NOT rewrite,
      paraphrase, or modify the meaning of the content. Only structure it to match
      the schema format.\n\nDo not include the OpenAPI schema in the final output.
      Ensure the final output does not include any code block markers like ```json
      or ```python.\n\nProvide your complete response:"}],"model":"gpt-4.1-mini","response_format":{"type":"json_schema","json_schema":{"schema":{"properties":{"score":{"title":"Score","type":"integer"}},"required":["score"],"title":"ScoreOutput","type":"object","additionalProperties":false},"name":"ScoreOutput","strict":true}},"stream":false}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - application/json
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      authorization:
      - AUTHORIZATION-XXX
      connection:
      - keep-alive
      content-length:
      - '2541'
      content-type:
      - application/json
      cookie:
      - COOKIE-XXX
      host:
      - api.openai.com
      x-stainless-arch:
      - X-STAINLESS-ARCH-XXX
      x-stainless-async:
      - 'false'
      x-stainless-helper-method:
      - beta.chat.completions.parse
      x-stainless-lang:
      - python
      x-stainless-os:
      - X-STAINLESS-OS-XXX
      x-stainless-package-version:
      - 1.83.0
      x-stainless-read-timeout:
      - X-STAINLESS-READ-TIMEOUT-XXX
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.13.12
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-DDDzycCKiyLb7UfPI2tKGyQAw8LGi\",\n  \"object\":
        \"chat.completion\",\n  \"created\": 1772044446,\n  \"model\": \"gpt-4.1-mini-2025-04-14\",\n
        \ \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n        \"role\":
        \"assistant\",\n        \"content\": \"{\\\"score\\\":4}\",\n        \"refusal\":
        null,\n        \"annotations\": []\n      },\n      \"logprobs\": null,\n
        \     \"finish_reason\": \"stop\"\n    }\n  ],\n  \"usage\": {\n    \"prompt_tokens\":
        513,\n    \"completion_tokens\": 5,\n    \"total_tokens\": 518,\n    \"prompt_tokens_details\":
        {\n      \"cached_tokens\": 0,\n      \"audio_tokens\": 0\n    },\n    \"completion_tokens_details\":
        {\n      \"reasoning_tokens\": 0,\n      \"audio_tokens\": 0,\n      \"accepted_prediction_tokens\":
        0,\n      \"rejected_prediction_tokens\": 0\n    }\n  },\n  \"service_tier\":
        \"default\",\n  \"system_fingerprint\": \"fp_a391f2cee0\"\n}\n"
    headers:
      CF-RAY:
      - CF-RAY-XXX
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Wed, 25 Feb 2026 18:34:07 GMT
      Server:
      - cloudflare
      Strict-Transport-Security:
      - STS-XXX
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - X-CONTENT-TYPE-XXX
      access-control-expose-headers:
      - ACCESS-CONTROL-XXX
      alt-svc:
      - h3=":443"; ma=86400
      cf-cache-status:
      - DYNAMIC
      openai-organization:
      - OPENAI-ORG-XXX
      openai-processing-ms:
      - '497'
      openai-project:
      - OPENAI-PROJECT-XXX
      openai-version:
      - '2020-10-01'
      set-cookie:
      - SET-COOKIE-XXX
      x-openai-proxy-wasm:
      - v0.1
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-ratelimit-reset-requests:
      - X-RATELIMIT-RESET-REQUESTS-XXX
      x-ratelimit-reset-tokens:
      - X-RATELIMIT-RESET-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
version: 1
